name: BUTTON6MM
description: 6x6 mm tactile button, though hole
keywords: mechanical, button

# 1A and 1B are internally connected
# 2A and 2B are internally connected
# 1x/2x are momentarily connected when the button is pressed

pinout:
  1A: 1
  2A: 2
  2B: 3
  1B: 4

schematic:
  symbol: connector
  left: 1A, 1B
  right: 2A, 2B

housing:
  pattern: custom
  bodyLength: 6.0
  bodyWidth: 6.0

  holeDiameter: 1.0
  padDiameter: 1.4
  # this numbers the pins not as I would like
  #rowCount: 2
  #columnCount: 2
  #verticalPitch: 4.5
  #horizontalPitch: 6.5
  padPosition: -3.25, -2.25, -3.25, 2.25, 3.25, 2.25, 3.25, -2.25
